<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>取消请求</title>
    </head>

    <body>
        <button>点击发送</button>
        <button>点击取消</button>
        <script>
            //获取元素对象
            const btns = document.querySelectorAll("button");
            let x = new XMLHttpRequest();

            btns[0].onclick = function () {
                x.open("GET", "http://127.0.0.1:8000/delay");
                x.send();
            };

            // abort
            btns[1].onclick = function () {
                if (x) {
                    x.abort();
                }
            };
        </script>
    </body>
</html>
